﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        rpb.Width = 1140;
        rpb.Height = 500;
        rpb.ExpandMode = PanelBarExpandMode.MultipleExpandedItems;

        rpb.Items.Add(new RadPanelItem("Group one"));
        rpb.Items.Add(new RadPanelItem("Group two"));

        rpb.Items[0].Items.Add(new RadPanelItem());
        rpb.Items[1].Items.Add(new RadPanelItem());
        rpb.Items[1].Items.Add(new RadPanelItem());

        rpb.Items[0].Expanded = false;

        rpb.Items[0].Items[0].Value = "val1";
        rpb.Items[0].Items[0].Controls.Add(CrateControl("I"));

        rpb.Items[1].Expanded = true;

        rpb.Items[1].Items[0].Value = "val2";
        rpb.Items[1].Items[0].Controls.Add(CrateControl("II"));

        rpb.Items[1].Items[1].Value = "val3";
        rpb.Items[1].Items[1].Controls.Add(CrateControl("III"));
    }

    private Control CrateControl(string ID)
    {
        Control controlIII = new Control();

        UpdatePanel updatePanelIII = new UpdatePanel();
        updatePanelIII.ID = "updatePanel" + ID;
        updatePanelIII.UpdateMode = UpdatePanelUpdateMode.Conditional;

        Panel panelIII = new Panel();
        panelIII.ID = "panel" + ID;
        panelIII.Style.Add("margin-left", "10px");

        panelIII.Controls.Clear();

        panelIII.Controls.Add(new LiteralControl("<table><tr><td>"));
        panelIII.Controls.Add(new Label());//some Label 
        panelIII.Controls.Add(new TextBox());//some textbox 
        panelIII.Controls.Add(new LiteralControl("</td><td>"));
        panelIII.Controls.Add(new Label());//some Label 
        panelIII.Controls.Add(new TextBox());//some textbox 
        panelIII.Controls.Add(new Label());//some Label 
        panelIII.Controls.Add(new LiteralControl("</td><td>"));
        panelIII.Controls.Add(new ImageButton());//some imagebutton 
        panelIII.Controls.Add(new LiteralControl("</td><td>"));
        panelIII.Controls.Add(new Button());//some button 
        panelIII.Controls.Add(new LiteralControl("</td></tr>"));
        panelIII.Controls.Add(new LiteralControl("<tr><td>"));
        panelIII.Controls.Add(new Button());//some button 
        panelIII.Controls.Add(new LiteralControl("</td></tr></table>"));

        updatePanelIII.ContentTemplateContainer.Controls.Add(panelIII);
        updatePanelIII.Update();

        controlIII.Controls.Add(updatePanelIII);
        return controlIII;
    }
}
